 LIST P=16F877
 #INCLUDE "P16F877.INC"
 ERRORLEVEL	0,	-302		; suppress bank selection messages
 __CONFIG _XT_OSC&_CP_OFF&_WDT_OFF&_LVP_OFF
	CBLOCK	0x70			;A Minden BANK-bl lthat GPR kezdcm
		W_SAVE
		STATUS_SAVE
	ENDC

#include "m_bank.asm"

	ORG	0
	GOTO	MAIN			;Beugrunk a MAIN loopba

	ORG	4
	; Elmentjk a Work s Status regisztereket
	MOVWF	W_SAVE			;Elszr a Work regisztert
	MOVFW	STATUS			;STATUS-t bele a mr lementett Workbe
	MOVWF	STATUS_SAVE		;Status_save-be beletlti a Workt

	BCF		INTCON,INTF		;Trljk az INTF flag bitet (Jelezzk, kezeltk a megszaktst RB0)
	MOVLW	B'11111111'
	XORWF	PORTD,F			;XOR PORTD bitjeit

	; Visszatltjk a Work s Status regisztereket
	MOVFW	STATUS_SAVE
	MOVWF	STATUS
	MOVFW	W_SAVE

	RETFIE					;Visszajvnk az interruptbl


MAIN
	BANK1					;Unit az m_bank.asm-ben
	MOVLW	B'00000000'		;Betltjk az akksiba a TRISD-be valt
	MOVWF	TRISD			;Beletltjk (mind kimenet a nulla miatt)
	MOVLW	B'00000001'		;Betltjk az akksiba a TRISB-be valt
	MOVWF	TRISB			;Beletltjk az 0. PORTB bemenet lesz

	BCF		OPTION_REG,INTEDG	;Lefut lre interruptol (1 = felfut, 0 = lefut l)
	BANK0					;BANK0-ba visszalpnk

	MOVLW	B'01010101'		;Betltjk az akksiba a PORTD-be valt
	MOVWF	PORTD			;Beletltjk a PORTD-be

	;Belltjuk az RB0 interruptot
	BSF		INTCON,INTE			;Engedlyezzk az interruptot az INT0-ra
	BSF		INTCON,GIE			;General Interrupt Enable bitet 1-re lltva bekapcsolunk mindent

LOOP
	NOP
	GOTO LOOP					;Vissza a vgtelen ciklusba

 	END							;Teljes program vgt jelent END